%define name	rpmcheck
%define version	0.0.2368
%define release	%mkrel 10

%define camlzip_inc +zip

Summary:	A tool to check consistency of rpm repositories
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Packaging
# No website yet
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
Source:		%name-%version.tar.bz2
Patch0:     rpmcheck-0.0.2368-handle-suggests.patch
Patch1:     rpmcheck-0.0.2368-no-doc-conflict.patch
Patch2:     rpmcheck-0.0.2368-allow-uncompressed-hdlists.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-camlzip-devel

%description
rpmcheck is a tool to check consistency of Mandriva Linux rpm repositories
(that is, of hdlist files.)

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
%__make rpmcheck \
    COMPFLAGS="-I %{camlzip_inc}" \
    OPTLINKFLAGS="unix.cmxa str.cmxa zip.cmxa -I %{camlzip_inc}"



%install
%__install -d %buildroot%_bindir
%__install -m 0755 rpmcheck %buildroot%_bindir

%files
%doc COPYING README
%_bindir/%name


%changelog

* Tue Jan 22 2013 fwang <fwang> 0.0.2368-10.mga3
+ Revision: 390810
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2368-9.mga3
+ Revision: 380458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 ennael <ennael> 0.0.2368-8.mga2
+ Revision: 199918
- fix camlzip_inc
- initial import
- imported package rpmcheck

